LibreOffice: DocumentAcceleratorConfiguration Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DocumentAcceleratorConfiguration Service Reference

`import"DocumentAcceleratorConfiguration.idl";`

Inheritance diagram for DocumentAcceleratorConfiguration:

## Public Member Functions
| createWithDocumentRoot ([in] com::sun::star::embed::XStorage DocumentRoot)
Public Member Functions inherited from XAcceleratorConfiguration
sequence< com::sun::star::awt::KeyEvent > | getAllKeyEvents ()
| return the list of all key events, which are available at this configuration set. More...
string | getCommandByKeyEvent ([in] com::sun::star::awt::KeyEvent aKeyEvent) raises (com::sun::star::container::NoSuchElementException)
| return the registered command for the specified key event. More...
void | setKeyEvent ([in] com::sun::star::awt::KeyEvent aKeyEvent, [in] string sCommand) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException)
| modify or create a key - command - binding. More...
void | removeKeyEvent ([in] com::sun::star::awt::KeyEvent aKeyEvent) raises (com::sun::star::container::NoSuchElementException)
| remove a key-command-binding from this configuration set. More...
sequence< com::sun::star::awt::KeyEvent > | getKeyEventsByCommand ([in] string sCommand) raises (com::sun::star::lang::IllegalArgumentException , com::sun::star::container::NoSuchElementException)
| optimized access to the relation "command-key" instead of "key-command" which is provided normally by this interface. More...
sequence< any > | getPreferredKeyEventsForCommandList ([in] sequence< string > lCommandList) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException)
| optimized function to map a list of commands to a corresponding list of key events. More...
void | removeCommandFromAllKeyEvents ([in] string sCommand) raises (com::sun::star::lang::IllegalArgumentException , com::sun::star::container::NoSuchElementException)
| search for an key-command-binding inside this configuration set, where the specified command is used. More...
Public Member Functions inherited from XUIConfigurationPersistence
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data. More...
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data. More...
void | storeToStorage ([in]::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage(). More...
boolean | isModified ()
| provides the current modify state of the configuration manager instance. More...
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XUIConfigurationStorage
void | setStorage ([in]::com::sun::star::embed::XStorage Storage)
| connects a storage to the user interface configuration manager which is used on subsequent calls of load() and store(). More...
boolean | hasStorage ()
| checks if an instance has already a storage to load/store its data. More...
Public Member Functions inherited from XUIConfiguration
void | addConfigurationListener ([in]::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed. More...
void | removeConfigurationListener ([in]::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager. More...

## Additional Inherited Members
Exported Interfaces inherited from XAcceleratorConfiguration
interface | com::sun::star::ui::XUIConfigurationPersistence
| specifies a persistence interface which supports to load/store accelerator configuration data to a storage and to retrieve information about the current state. More...
interface | com::sun::star::ui::XUIConfigurationStorage
| connects this configuration to a new storage which must be used further on subsequent calls of com::sun::star::util::XConfigurationPersistence.load() and com::sun::star::util::XConfigurationPersistence.store(). More...
interface | com::sun::star::ui::XUIConfiguration
| supports to notify other implementations about changes of this accelerator configuration. More...

## Detailed Description

Since
  LibreOffice 4.2

## Member Function Documentation

createWithDocumentRoot | ( | [in] com::sun::star::embed::XStorage | DocumentRoot | ) |

The documentation for this service was generated from the following file:

- com/sun/star/ui/DocumentAcceleratorConfiguration.idl